Venflow API
V1SuscripcionesPor IDCancel

Cancelar una suscripción

POST
/v1/subscriptions/{id}/cancel
Api-Key<token>

Tu clave API privada (comienza con pvk_)

In: header

Organization<token>

Tu ID de organización

In: header

Path Parameters

idstring
Formatuuid
cancel_mode?string

When the cancellation takes effect. period_end (the default) keeps the subscription active until the current billing period closes, then cancels it. It is the only mode available today.

Value in"period_end"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.venflow.app/v1/subscriptions/497f6eca-6276-4993-bfeb-53cbbbba6f08/cancel" \  -H "Content-Type: application/json" \  -d '{    "cancel_mode": "period_end"  }'
{
  "billing_cycles": 0,
  "billing_cycles_completed": 0.1,
  "cancel_at_period_end": true,
  "collection_mode": "engine",
  "created": 0.1,
  "current_period_end": 0.1,
  "current_period_start": 0.1,
  "customer": "string",
  "discount": {
    "amount_off": 0,
    "duration": "once",
    "duration_periods": 0,
    "id": "string",
    "name": "string",
    "percent_off": 0,
    "remaining_periods": 0
  },
  "id": "string",
  "livemode": true,
  "metadata": {
    "property1": "string",
    "property2": "string"
  },
  "object": "subscription",
  "plan": "string",
  "scheduled_start_date": "string",
  "status": "string",
  "trial_end": 0,
  "trial_start": 0
}
{
  "code": "not_found",
  "details": {},
  "message": "string"
}
{
  "code": "not_found",
  "details": {},
  "message": "string"
}
{
  "code": "not_found",
  "details": {},
  "message": "string"
}
{
  "code": "not_found",
  "details": {},
  "message": "string"
}
{
  "code": "not_found",
  "details": {},
  "message": "string"
}
{
  "code": "not_found",
  "details": {},
  "message": "string"
}